/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.springbootmockmvc;

import java.util.ArrayList;
import java.util.List;
import org.springframework.stereotype.Service;

/**
 *
 * @author omozegieaziegbe
 */
@Service
public class ProductService {
    
        public ProductService() {
    }

    List<Product> productList = new ArrayList();

    public List<Product> getAllProducts() {
        return productList;
    }

    public int addProduct(Product product) {
        int newId = productList.size() + 1;
        product.setId(newId);
        productList.add(product);
        return newId;
    }

    public void delete(Product product) {
        productList.remove(product);
    }
    
    public boolean update(Product product) {
        int index = productList.indexOf(product);
        if (index >= 0) {
            productList.set(index, product);
            return true;
        }
        return false;
    }

    public List<Product> getProductList() {
        return productList;
    }
}
